﻿using Infragistics.Controls.Grids;
using System.Data;
using System.Windows.Data;
using System.Windows.Media;

namespace ListOfArraysAsDataSource
{
    public class ColourConverter : IMultiValueConverter
    {
        private static readonly SolidColorBrush OtherBrush = new SolidColorBrush(Colors.Black);
        private static readonly SolidColorBrush ErrorBrush = new SolidColorBrush(Colors.Red);

        public object Convert(object[] values, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            DataRow row = values[0] as DataRow;
            CellControl ctrl = values[1] as CellControl;

            CellValue val = row[ctrl.Column.HeaderText] as CellValue;
            if (val != null)
            {
                SolidColorBrush brush;
                switch (val.Colour)
                {
                    case "red":
                        brush = ErrorBrush;
                        break;
                    case "black":
                        brush = OtherBrush;
                        break;
                    default:
                        brush = OtherBrush;
                        break;
                }

                return brush;
            }

            //DataView view = values[1] as DataView;
            //if (row != null && view != null)
            //{
            //}
            //foreach(var item in row.ItemArray)
            //{
            //    CellValue cell = item as CellValue;
            //    if (cell != null)
            //    {
            //        if(cell.HasChanges)
            //        {
            //            cell.HasChanges = false;
            //            return cell.Value.ToString();
            //        }
            //    }
            //}
            return null;
        }

        public object[] ConvertBack(object value, System.Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new System.NotImplementedException();
        }
    }
}
